from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import include, path

import aircox.urls
import aircox_streamer.urls

from radiocampus.views import TimeTableView

urlpatterns = [
    *aircox.urls.urls,
    path("streamer/", include((aircox_streamer.urls.urls, "aircox_streamer"), namespace="streamer")),
    path("admin/", admin.site.urls),
    path("accounts/", include("django.contrib.auth.urls")),
    path("filer/", include("filer.urls")),
]

for i, pa in enumerate(urlpatterns):
    if "name" in pa.__dict__.keys() and pa.name == "home":
        urlpatterns.pop(i)

urlpatterns.append(path("", TimeTableView.as_view(), name="home"))

if settings.DEBUG:
    from debug_toolbar.toolbar import debug_toolbar_urls

    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT) + static(
        settings.MEDIA_URL, document_root=settings.MEDIA_ROOT
    )
    urlpatterns += debug_toolbar_urls()
